/*
 *  EvRA - Event Routing Application
 *
 *  Copyright (C) 2004  Simon Budig <simon@budig.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __EVRA_XTEST_ACTION_H__
#define __EVRA_XTEST_ACTION_H__

#include "evra.h"
#include "evraaction.h"

#define EVRA_TYPE_XTEST_ACTION            (evra_xtest_action_get_type ())
#define EVRA_XTEST_ACTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), EVRA_TYPE_XTEST_ACTION, EvraXtestAction))
#define EVRA_XTEST_ACTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), EVRA_TYPE_XTEST_ACTION, EvraXtestActionClass))
#define EVRA_IS_XTEST_ACTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EVRA_TYPE_XTEST_ACTION))
#define EVRA_IS_XTEST_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), EVRA_TYPE_XTEST_ACTION))
#define EVRA_XTEST_ACTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), EVRA_TYPE_XTEST_ACTION, EvraXtestActionClass))


typedef struct _EvraXtestAction      EvraXtestAction;
typedef struct _EvraXtestActionClass EvraXtestActionClass;

struct _EvraXtestAction
{
  EvraAction parent_instance;
};

struct _EvraXtestActionClass
{
  EvraActionClass parent_class;
};


GType    evra_xtest_action_get_type         (void) G_GNUC_CONST;
                                     

#endif  /* __EVRA_XTEST_ACTION_H__ */
